{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "wget"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#wget_multi.cwl/in_url"
                }
            ],
            "id": "#wget_multi.cwl",
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": [
                            "*"
                        ]
                    },
                    "id": "#wget_multi.cwl/out_wget"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "wget"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#wget_single.cwl/in_url"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": [
                            "*"
                        ]
                    },
                    "id": "#wget_single.cwl/out_wget"
                }
            ],
            "id": "#wget_single.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_cds_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_genomic_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_genomic_gff"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_md5checksums"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_protein_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_transcript_fasta"
                }
            ],
            "steps": [
                {
                    "run": "#wget_single.cwl",
                    "in": [
                        {
                            "source": "#main/url_cds_fasta",
                            "id": "#main/wget_cds_fasta/in_url"
                        }
                    ],
                    "out": [
                        "#main/wget_cds_fasta/out_wget"
                    ],
                    "id": "#main/wget_cds_fasta"
                },
                {
                    "run": "#wget_single.cwl",
                    "in": [
                        {
                            "source": "#main/url_genomic_fasta",
                            "id": "#main/wget_genomic_fasta/in_url"
                        }
                    ],
                    "out": [
                        "#main/wget_genomic_fasta/out_wget"
                    ],
                    "id": "#main/wget_genomic_fasta"
                },
                {
                    "run": "#wget_single.cwl",
                    "in": [
                        {
                            "source": "#main/url_genomic_gff",
                            "id": "#main/wget_genomic_gff/in_url"
                        }
                    ],
                    "out": [
                        "#main/wget_genomic_gff/out_wget"
                    ],
                    "id": "#main/wget_genomic_gff"
                },
                {
                    "run": "#wget_single.cwl",
                    "in": [
                        {
                            "source": "#main/url_md5checksums",
                            "id": "#main/wget_md5checksums/in_url"
                        }
                    ],
                    "out": [
                        "#main/wget_md5checksums/out_wget"
                    ],
                    "id": "#main/wget_md5checksums"
                },
                {
                    "run": "#wget_multi.cwl",
                    "in": [
                        {
                            "source": "#main/url_protein_fasta",
                            "id": "#main/wget_protein_fasta/in_url"
                        }
                    ],
                    "out": [
                        "#main/wget_protein_fasta/out_wget"
                    ],
                    "id": "#main/wget_protein_fasta"
                },
                {
                    "run": "#wget_single.cwl",
                    "in": [
                        {
                            "source": "#main/url_transcript_fasta",
                            "id": "#main/wget_transcript_fasta/in_url"
                        }
                    ],
                    "out": [
                        "#main/wget_transcript_fasta/out_wget"
                    ],
                    "id": "#main/wget_transcript_fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/wget_cds_fasta/out_wget",
                    "id": "#main/OUT_cds_fasta"
                },
                {
                    "type": "File",
                    "outputSource": "#main/wget_genomic_fasta/out_wget",
                    "id": "#main/OUT_genomic_fasta"
                },
                {
                    "type": "File",
                    "outputSource": "#main/wget_genomic_gff/out_wget",
                    "id": "#main/OUT_genomic_gff"
                },
                {
                    "type": "File",
                    "outputSource": "#main/wget_md5checksums/out_wget",
                    "id": "#main/OUT_md5checksums"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/wget_protein_fasta/out_wget",
                    "id": "#main/OUT_protein_fasta"
                },
                {
                    "type": "File",
                    "outputSource": "#main/wget_transcript_fasta/out_wget",
                    "id": "#main/OUT_transcript_fasta"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
